Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008844 [DCSS] Bug Report crash have not tried 2014-08-01 07:25 2016-09-19 16:52
Reporter johnnyzero View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.15 ancient branch
Summary 0008844: Shoals assertion failure - mesmerise/behold
Description I received the following assertion failure while clearing shoals as a TeDK of Yred:

ASSERT(duration[DUR_MESMERISED] > 0 == !beholders.empty()) in 'behold.cc' at line 72 failed.

I believe I was mesmerized at the time of the crash. Perhaps this bug has something to do with a mesmerizing monster getting feared?

Crashlog: http://dobrazupa.org/morgue/johnnyzero/crash-johnnyzero-20140801-045952.txt [^]
Save: https://dobrazupa.org/saves/johnnyzero-crawl-git-9e66d4c016-140801-0517.tar.bz2 [^]
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Avoid-another-beholder-crash-8844.patch [^] (976 bytes) 2014-08-12 06:26 [Show Content]

- Relationships

-  Notes
(0026883)
johnnyzero (reporter)
2014-08-01 07:31

A few extra things worth mentioning:

  • No Sequell crash milestone was generated for this crash.

  • 0008673 has a similar assertion failure for the fear effect.

(0026976)
PleasingFungus (administrator)
2014-08-11 17:02

Another, similar crash: http://crawl.lantea.net/crawl/morgue/haldagan/crash-haldagan-20140811-145054.txt [^] (thanks, TZer0!)
(0026999)
neil (administrator)
2014-08-13 17:35

I wasn't able to reproduce the bug reliably (it requires getting a redraw at exactly the right time and losing beholder status on the monster's turn rather than the players), but it should be fixed in trunk (0.16-a0-137-gc7bde63) and prerelease (0.15-b1-71-g5463ceb), based on an earlier fix for a different code path (0006547). Thanks!

- Issue History
Date Modified Username Field Change
2014-08-01 07:25 johnnyzero New Issue
2014-08-01 07:31 johnnyzero Note Added: 0026883
2014-08-11 17:02 PleasingFungus Note Added: 0026976
2014-08-12 06:26 neil File Added: 0001-Avoid-another-beholder-crash-8844.patch
2014-08-13 17:35 neil Note Added: 0026999
2014-08-13 17:35 neil Status new => resolved
2014-08-13 17:35 neil Fixed in Branch => 0.15 prerelease branch
2014-08-13 17:35 neil Resolution open => done
2014-08-13 17:35 neil Assigned To => neil
2016-09-19 16:51 johnnyzero Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker